FORUMS
Remove All Ads from XDA

Found aptx and aptx hd on a Nexus 5x Android 8 dp4

27 posts
Thanks Meter: 8
 
By Divyam123, Junior Member on 17th August 2017, 02:29 PM
Post Reply Email Thread


So I have enable aptx and aptx hd on my rooted Nexus 5x running Android 8 dp4

I have pixel theme installed through substartum and I have changed my device model to Pixel (by editing build.prop) am not sure if it works because I don't have an audio Bluetooth device.

I am new to this community so I don't know much about zips and flashing them but for the aptx and aptx hd to work you probably need to flash an aptx and aptx hd zip file

If it works for you please tell me
Hope this helps

Rigards,
Divyam
 
 
18th August 2017, 05:17 AM |#2  
Member
Thanks Meter: 6
 
More
https://forum.xda-developers.com/one...codec-t3521228. Works on RR 5.8.4 Android 7.1.2. Not sure about Android O.
19th August 2017, 06:28 AM |#3  
Senior Member
Flag Daegu
Thanks Meter: 23
 
More
The reason Google decided to delete aptx support for 5x/6p is not because they don't want to support, but because it's not working properly. Even though they included aptx libraries in AOSP source and we can enable it by editing the system, it's still true that this won't work properly.
19th August 2017, 03:57 PM |#4  
Senior Member
Thanks Meter: 235
 
More
Quote:
Originally Posted by Riskypedia

The reason Google decided to delete aptx support for 5x/6p is not because they don't want to support, but because it's not working properly. Even though they included aptx libraries in AOSP source and we can enable it by editing the system, it's still true that this won't work properly.

What about it is not working properly? I have been using it over the past week after flashing the necessary files to my 5x. Using catlog I see the aptx codec selected and it seems to be working. My assumption is that it has to do with licensing more than anything else.
The Following User Says Thank You to Keithn For This Useful Post: [ View ] Gift Keithn Ad-Free
20th August 2017, 11:51 PM |#5  
LazerL0rd's Avatar
Senior Member
London, England, UK
Thanks Meter: 368
 
More
Quote:
Originally Posted by Riskypedia

The reason Google decided to delete aptx support for 5x/6p is not because they don't want to support, but because it's not working properly. Even though they included aptx libraries in AOSP source and we can enable it by editing the system, it's still true that this won't work properly.

Not true, mate. The reason is cause they have to pay to include it on a per-device basis. That means extra for older devices like the 5X and 6P, which sadly are coming to end of support.
21st August 2017, 12:06 AM |#6  
Senior Member
Flag Daegu
Thanks Meter: 23
 
More
Quote:
Originally Posted by LazerL0rd

Not true, mate. The reason is cause they have to pay to include it on a per-device basis. That means extra for older devices like the 5X and 6P, which sadly are coming to end of support.

Lol, android beta forum (I mean, G+ forum) was also not that accurate! Thanks mate
23rd August 2017, 05:13 PM |#7  
OP Junior Member
Thanks Meter: 8
 
More
Quote:
Originally Posted by Keithn

What about it is not working properly? I have been using it over the past week after flashing the necessary files to my 5x. Using catlog I see the aptx codec selected and it seems to be working. My assumption is that it has to do with licensing more than anything else.

Can you send me a link to this files please
23rd August 2017, 06:50 PM |#8  
LazerL0rd's Avatar
Senior Member
London, England, UK
Thanks Meter: 368
 
More
Off-topic, but does anyone know if the Essential PH-1 has aptX(HD) support?
26th August 2017, 11:32 PM |#9  
Senior Member
Thanks Meter: 235
 
More
Quote:
Originally Posted by Divyam123

Can you send me a link to this files please

There is a link a few posts up that has the files.
27th August 2017, 12:34 PM |#10  
Junior Member
Thanks Meter: 0
 
More
i have tested with my headphone sony mdr-1000x.
it only works with ldac coedc.



31st August 2017, 12:06 AM |#11  
Senior Member
Thanks Meter: 235
 
More
Quote:
Originally Posted by liyaocheng

i have tested with my headphone sony mdr-1000x.
it only works with ldac coedc.

Does that set even support aptx? I think ldac is at least as good as aptx hd anyway.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes